# norootforbuild

Name:         funnymu
License:      COPYRIGHT
Group:        unsorted
Autoreqprov:  on
Version:      0.47
Release:      2.16
Summary:      creatiVision/Funvision Emulator
Source:       %name-%version-by_madrigal_src.zip
Source1: bios.rom
Patch:        %name.dif
Patch1:       %name-sequence-point.patch
BuildRequires: SDL-devel unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
 - full compatible with all currently dumped ROMs (also 6, 10, 16 and 18KB ROM formats)
 - correct colour palette (matching the one in MAME)
 - support for right controller emulation and complete keyboard emulation
 - mathematics bug-fixes here and there
 - screenshot save
 - load/save BASIC listings in plain text file
 - settings stored to .ini file

Run "FunnyMu -help" to learn about options and key assignment.

%prep
%setup -c
%patch
%patch1

%build
make %{?jobs:-j%jobs} \
%ifarch %ix86 x86_64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DLSB_FIRST"
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -m 755 FunnyMu $RPM_BUILD_ROOT/usr/bin
install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/share/funnymu/bios/bios.rom

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/funnymu

